Get business services
This endpoint allows to query the business services with the products linked to each service.
GET /api/v2/businesses/{businessId}/services
If the data included in the request is correct, the response will contain the list of business services.
Response example
[
{
"id": "0001",
"name": "STORE-01",
"timeZone": "Europe/Paris",
"products": [
"0001-GENERAL",
"0001-HD"
]
},
{
"id": "0002",
"name": "STORE-02",
"timeZone": "Africa/Abidjan",
"products": [
"0002"
],
"metadata": {
"franchisee": true
}
},
{
"name": "STORE-03",
"timeZone": "Europe/Madrid",
"products": [
null
],
"lat": 40.39336952418088,
"lon": -3.766111678479019
}
]
Details
-
id: external identifier of the service.
-
name: name of the service.
-
timeZone: time zone of the service.
-
products: list of external identifiers of the service’s products.
-
lat: latitude of the service’s physical location.
-
lon: longitude of the service’s physical location.
-
metadata: any additional metadata defined at the business level for the services.
As seen in the example, the request will return the information defined for each service.
Considerations
If the service does not have an external identifier configured in Orquest, the response will not include this data.
If one or more of the service’s products do not have an external identifier configured in Orquest, the response will include a single null in the products field, regardless of how many products without an identifier there are: since it is a set, repeated null values collapse into a single one.
Error codes
This endpoint does not return any error codes of its own beyond those described in common errors.